package intrinsic.mx.collections;

public class SortField extends intrinsic.flash.events.EventDispatcher {

	/** Accessors */
	public boolean descending;
	public intrinsic.Function compareFunction;
	public boolean caseInsensitive;
	public Object numeric;
	public String name;
	public boolean usingCustomCompareFunction;

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public SortField() {
}

public SortField(Object arg0) {
}

public SortField(Object arg0, Object arg1) {
}

public SortField(Object arg0, Object arg1, Object arg2) {
}

public SortField(Object arg0, Object arg1, Object arg2, Object arg3) {
}


/** Static Methods */

/** Methods */
public native void reverse();
public native String toString();
public native void initCompare(Object arg0);
public native int getArraySortOnOptions();
public native int internalCompare(Object arg0, Object arg1);

}
